# List rates

## Gets a list of rates for a pair.

> Supports filtering, sorting, and pagination via query string parameters.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5243-ga0bb7c09"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/exchange/pairs/{pairId}/rates":{"get":{"tags":["Rates"],"summary":"Gets a list of rates for a pair.","description":"Supports filtering, sorting, and pagination via query string parameters.","parameters":[{"name":"pairId","in":"path","description":"The pair ID.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateListResponse"}}}}}}}},"components":{"schemas":{"RateListResponse":{"type":"object","properties":{"$meta":{"allOf":[{"$ref":"#/components/schemas/ListMetadata"}]},"data":{"type":"array","items":{"$ref":"#/components/schemas/Rate"}}},"additionalProperties":false},"ListMetadata":{"type":"object","properties":{"pagination":{"allOf":[{"$ref":"#/components/schemas/PaginationMetadata"}]},"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PaginationMetadata":{"type":"object","properties":{"offset":{"type":"integer","format":"int32"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Rate":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ExchangeAudit"}],"description":"Exchange Entity Audit properties bag"},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"pair":{"type":"object","allOf":[{"$ref":"#/components/schemas/PairRef"}]},"recordDate":{"type":"string","description":"Date and time of rate","format":"date-time"},"value":{"type":"number","description":"Rate from source to destination currency","format":"double"},"externalId":{"type":"string","description":"External id of rate","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/RateStatus"}],"description":"Record status"},"reverseRate":{"type":"object","allOf":[{"$ref":"#/components/schemas/RateRef"}]}},"additionalProperties":false,"description":"Record of rate for specific day"},"ExchangeAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Delete event details","nullable":true}},"additionalProperties":false,"description":"Exchange Entity Audit properties bag"},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PairRef":{"type":"object","properties":{"revision":{"type":"integer","format":"int32"},"id":{"type":"string","description":"The unique identifier of the pair."},"name":{"type":"string","description":"The name of the pair."},"externalId":{"type":"string","description":"The external id of the pair","nullable":true},"notes":{"type":"string","description":"Notes for the pair","nullable":true},"primary":{"type":"boolean","description":"If the pair is primary"},"latestRate":{"allOf":[{"$ref":"#/components/schemas/Rate"}],"description":"Latest pair rate"}},"additionalProperties":false,"description":"Represents a pair of currencies in exchange module."},"RateStatus":{"enum":["Active","Deleted"],"type":"string","description":"Record status enumeration"},"RateRef":{"type":"object","properties":{"id":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"value":{"type":"number","description":"Rate from source to destination currency","format":"double"},"externalId":{"type":"string","description":"External id of rate","nullable":true}},"additionalProperties":false,"description":"Record of rate for specific day"}}}}
```
